Loading...
Searching...
No Matches
Manifold.h File Reference

Base class and basic functions for Manifold types. More...

Go to the source code of this file.

## Classes

struct | gtsam::manifold_tag
| tag to assert a type is a manifold More...
struct | gtsam::internal::HasManifoldPrereqs< Class >
| Requirements on type to pass it to Manifold template below. More...
struct | gtsam::internal::GetDimensionImpl< Class, N >
| Extra manifold traits for fixed-dimension types. More...
struct | gtsam::internal::GetDimensionImpl< Class, Eigen::Dynamic >
| Extra manifold traits for variable-dimension types. More...
struct | gtsam::internal::ManifoldTraits< Class >
| A helper that implements the traits interface for GTSAM manifolds. More...
struct | gtsam::internal::Manifold< Class >
| Both ManifoldTraits and Testable. More...
struct | gtsam::FixedDimension< T >
| Give fixed size dimension of a type, fails at compile time if dynamic. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | GTSAM_CONCEPT_MANIFOLD_INST(T)
| Macros for using the ManifoldConcept.
#define | GTSAM_CONCEPT_MANIFOLD_TYPE(T)

## Functions

template<typename T>
| gtsam::BOOST_CONCEPT_REQUIRES (((IsTestable< T >)),(bool)) check_manifold_invariants(const T &a
| Check invariants for Manifold type.

## Detailed Description

Base class and basic functions for Manifold types.

Author
  Alex Cunningham
  Frank Dellaert
  Mike Bosse

## Macro Definition Documentation

## GTSAM_CONCEPT_MANIFOLD_INST

#define GTSAM_CONCEPT_MANIFOLD_INST | ( |  | T | ) |

Value:
template class gtsam::IsManifold<T>;

Macros for using the ManifoldConcept.

- An instantiation for use inside unit tests
- A typedef for use inside generic algorithms

NOTE: intentionally not in the gtsam namespace to allow for classes not in the gtsam namespace to be more easily enforced as testable

## GTSAM_CONCEPT_MANIFOLD_TYPE

#define GTSAM_CONCEPT_MANIFOLD_TYPE | ( |  | T | ) |

Value:
using _gtsam_IsManifold_##T = gtsam::IsManifold<T>;